Get Resource Action Form

Get Resource Action Form
Fetch resource action Form.

Returns Form for an action for the resource specified by its Resource ID and Action ID.

Request
URI
GET
https://{vcfa-fqdn}/deployment/api/resources/{resourceId}/actions/{actionId}/form
COPY
Path Parameters
string
resourceId
Required

Resource ID

string
actionId
Required

Action ID


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns com.vmware.tango.common.gateway.dto.FormDefinition of type(s) application/json
"com.vmware.tango.common.gateway.dto.FormDefinition Object"

401

Unauthorized

Returns com.vmware.tango.common.gateway.dto.FormDefinition of type(s) application/json
"com.vmware.tango.common.gateway.dto.FormDefinition Object"

404

Not Found

Returns com.vmware.tango.common.gateway.dto.FormDefinition of type(s) application/json
"com.vmware.tango.common.gateway.dto.FormDefinition Object"

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/deployment/api/resources/{resourceId}/actions/{actionId}/form